{% load timeutil %}
{% load scientific %}
    <table class="table-hover table-condensed table-resp-gracedb shadow p-3 mb-5 rounded">
      <!-- Table Header -->
      <thead>
      <tr>
        <th colspan="2"><h3>Event Information</h3></th>
      </tr>
      </thead>

      <tbody>
      <tr>
        <td> UID </td>
        <td><a href="{% url "view" preferred_event.graceid %}">{{ preferred_event.graceid }}</a></td>
      </tr>

      <tr>
        <td> Labels </td>
        <td>
        {% for labelling in preferred_event_labelling %}
                    <span style="color: {{labelling.label.defaultColor}};" class="label"
                       data-toggle="tooltip"
                       data-placement="top"
                       data-html="true"
                       title="<em>{{labelling.label.description}}</em><br>
                      <b>Added by:</b> {{labelling.creator.get_full_name}}<br>
                      <b>Added:</b> {{labelling.created}}">
               {{ labelling.label.name }}</span>
        {% endfor %}
        </td>
      </tr>

      <tr>
        <td> Group </td>
        <td>{{ preferred_event.group.name }} </td>
      </tr>

      <tr>
        <td> Pipeline </td>
        <td>{{ preferred_event.pipeline.name }} </td>
      </tr>

      <tr>
        <td> Search </td>
        <td>{{ preferred_event.search.name }} </td>
      </tr>

      <tr>
        <td> Instruments </td>
        <td>{{ preferred_event.instruments }}</td>
      </tr>

      <tr>
        <td> {{ "gps"|timeselect:"gps" }} </td>
        <td>
            {% if preferred_event.gpstime %}
            {{ preferred_event.gpstime|multiTime:"gps" }}
            {% endif %}
        </td>
      </tr>

      <tr>
        <td> FAR (Hz) </td>
        <td>{% if far_is_upper_limit %} &lt; {% endif %}{{ display_far|scientific }}</td>
      </tr>

      <tr>
        <td> FAR (yr<sup>-1</sup>) </td>
        <td>{% if far_is_upper_limit %} &lt; {% endif %}{{ display_far_hr }}</td>
      </tr>

      <tr>
        <td> SNR </td>
        <td>
            {% if preferred_event.coincinspiralevent %}
              {{ preferred_event.coincinspiralevent.snr|floatformat:"3" }}
            {% elif preferred_event.multiburstevent %}
              {{ preferred_event.multiburstevent.snr|floatformat:"3" }}
            {% elif preferred_event.lalinferenceburstevent %}
              {{ preferred_event.lalinferenceburstevent.omicron_snr_network|floatformat:"3" }}
            {% endif %}
        </td>
      </tr>

      <tr>
        <td> Links </td>
        <td><a href="{{ preferred_event.weburl }}">Data</a></td>
      </tr>

      <tr>
        <td> {{ "nsubmitted"|timeselect:"utc" }} </td>
        <td>{{ preferred_event.created|multiTime:"nsubmitted" }}</td>
      </tr>

      </tbody>
    </table>

